Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3445)
@@ -113,8 +113,8 @@
 			@Override
 			public void completed(ProgressEvent event) {
 				
-				Object o = TXMBrowserEditor.this.getBrowser().evaluate("return typeof " + CommandLink.FCT + ";");
-				if ("undefined".equals(o)) {
+				Object o = TXMBrowserEditor.this.getBrowser().evaluate("return typeof " + CommandLink.FCT + ";"); //$NON-NLS-1$ //$NON-NLS-2$
+				if ("undefined".equals(o)) { //$NON-NLS-1$
 					if (cmdLink != null) {
 						cmdLink.dispose();
 					}
@@ -142,7 +142,7 @@
 				new MenuItem(menu, SWT.SEPARATOR);
 				
 				MenuItem copyItem = new MenuItem(menu, SWT.NONE);
-				copyItem.setText("Copy");
+				copyItem.setText(TXMUIMessages.Copy);
 				copyItem.addSelectionListener(new SelectionListener() {
 					
 					@Override
@@ -161,7 +161,7 @@
 				copyItem.setEnabled(text != null && text.length() > 0);
 				
 				MenuItem reloadItem = new MenuItem(menu, SWT.NONE);
-				reloadItem.setText("Reload");
+				reloadItem.setText(TXMUIMessages.Reload);
 				reloadItem.addSelectionListener(new SelectionListener() {
 					
 					@Override
@@ -174,7 +174,7 @@
 					public void widgetDefaultSelected(SelectionEvent e) {}
 				});
 				MenuItem backItem = new MenuItem(menu, SWT.NONE);
-				backItem.setText("Back");
+				backItem.setText(TXMUIMessages.Back);
 				backItem.addSelectionListener(new SelectionListener() {
 					
 					@Override
@@ -187,7 +187,7 @@
 					public void widgetDefaultSelected(SelectionEvent e) {}
 				});
 				MenuItem forwardItem = new MenuItem(menu, SWT.NONE);
-				forwardItem.setText("Forward");
+				forwardItem.setText(TXMUIMessages.Forward);
 				forwardItem.addSelectionListener(new SelectionListener() {
 					
 					@Override
@@ -201,7 +201,7 @@
 				});
 				
 				MenuItem propertiesItem = new MenuItem(menu, SWT.NONE);
-				propertiesItem.setText("Properties");
+				propertiesItem.setText(TXMUIMessages.Properties);
 				propertiesItem.addSelectionListener(new SelectionListener() {
 					
 					@Override
@@ -693,51 +693,51 @@
 		// System.out.println("Browser menu: "+getBrowser().getMenu());
 	}
 	
-	static String SCRIPT01 = "var html = \"\";" +
-			"if (typeof window.getSelection != \"undefined\") {" + // modern Web browsers
-			"var sel = window.getSelection();" +
-			"if (sel.rangeCount) {" +
-			"var container = document.createElement(\"div\");" +
-			"for (var i = 0, len = sel.rangeCount; i < len; ++i) {" +
-			"container.appendChild(sel.getRangeAt(i).cloneContents());" +
-			"}" +
-			"html = container.innerHTML;" +
-			"}" +
-			"} else if (typeof document.selection != \"undefined\") {" + // for IE < 11
-			"if (document.selection.type == \"Text\") {" +
-			"html = document.selection.createRange().htmlText;" +
-			"}" +
-			"}" +
-			"return html";
+	static String SCRIPT01 = "var html = \"\";" + //$NON-NLS-1$
+			"if (typeof window.getSelection != \"undefined\") {" + // modern Web browsers //$NON-NLS-1$
+			"var sel = window.getSelection();" + //$NON-NLS-1$
+			"if (sel.rangeCount) {" + //$NON-NLS-1$
+			"var container = document.createElement(\"div\");" + //$NON-NLS-1$
+			"for (var i = 0, len = sel.rangeCount; i < len; ++i) {" + //$NON-NLS-1$
+			"container.appendChild(sel.getRangeAt(i).cloneContents());" + //$NON-NLS-1$
+			"}" + //$NON-NLS-1$
+			"html = container.innerHTML;" + //$NON-NLS-1$
+			"}" + //$NON-NLS-1$
+			"} else if (typeof document.selection != \"undefined\") {" + // for IE < 11 //$NON-NLS-1$
+			"if (document.selection.type == \"Text\") {" + //$NON-NLS-1$
+			"html = document.selection.createRange().htmlText;" + //$NON-NLS-1$
+			"}" + //$NON-NLS-1$
+			"}" + //$NON-NLS-1$
+			"return html"; //$NON-NLS-1$
 	
 	// return the span@id of the current selection
-	static String SCRIPT02 = "function getChildren(node) {\n"
-			+ "if (node.children != \"undefined\")\n"
-			+ "	return node.children;\n"
-			+ "else \n"
-			+ "return node.ChildNodes;\n"
-			+ "}\n"
-			+ "findSpans = function findSpans(c, a) {\n" +
-			"    for (var i = 0 ; i < c.length ; i++) {\n" +
-			"        if (c.item(i).tagName == \"SPAN\") {\n" +
-			"            var id = c.item(i).getAttribute(\"id\")\n" +
-			"            if (id.indexOf(\"w_\") == 0)\n" +
-			"                a.push(id);\n" +
-			"        } else if (c.item(i).nodeType == 1) {\n" +
-			"            findSpans(c.item(i).children, a);\n" +
-			"        }\n" +
-			"    }\n" +
-			"}\n" +
-			"    var all = [];" +
-			"    var sel = window.getSelection();" +
-			"    if (sel.rangeCount == 0){" +
-			"        return all;" +
-			"    }" +
-			"\n" +
-			"    var range = sel.getRangeAt(0);" +
-			"    var frag = range.cloneContents();alert(frag);alert(frag.children);" +
-			"    findSpans(frag.children, all);" +
-			"    return all;";
+	static String SCRIPT02 = "function getChildren(node) {\n" //$NON-NLS-1$
+			+ "if (node.children != \"undefined\")\n" //$NON-NLS-1$
+			+ "	return node.children;\n" //$NON-NLS-1$
+			+ "else \n" //$NON-NLS-1$
+			+ "return node.ChildNodes;\n" //$NON-NLS-1$
+			+ "}\n" //$NON-NLS-1$
+			+ "findSpans = function findSpans(c, a) {\n" + //$NON-NLS-1$
+			"    for (var i = 0 ; i < c.length ; i++) {\n" + //$NON-NLS-1$
+			"        if (c.item(i).tagName == \"SPAN\") {\n" + //$NON-NLS-1$
+			"            var id = c.item(i).getAttribute(\"id\")\n" + //$NON-NLS-1$
+			"            if (id.indexOf(\"w_\") == 0)\n" + //$NON-NLS-1$
+			"                a.push(id);\n" + //$NON-NLS-1$
+			"        } else if (c.item(i).nodeType == 1) {\n" + //$NON-NLS-1$
+			"            findSpans(c.item(i).children, a);\n" + //$NON-NLS-1$
+			"        }\n" + //$NON-NLS-1$
+			"    }\n" + //$NON-NLS-1$
+			"}\n" + //$NON-NLS-1$
+			"    var all = [];" + //$NON-NLS-1$
+			"    var sel = window.getSelection();" + //$NON-NLS-1$
+			"    if (sel.rangeCount == 0){" + //$NON-NLS-1$
+			"        return all;" + //$NON-NLS-1$
+			"    }" + //$NON-NLS-1$
+			"\n" + //$NON-NLS-1$
+			"    var range = sel.getRangeAt(0);" + //$NON-NLS-1$
+			"    var frag = range.cloneContents();alert(frag);alert(frag.children);" + //$NON-NLS-1$
+			"    findSpans(frag.children, all);" + //$NON-NLS-1$
+			"    return all;"; //$NON-NLS-1$
 	
 	public String getTextSelectionDOM() {
 		return ((String) getBrowser().evaluate(SCRIPT01));
@@ -750,7 +750,7 @@
 	
 	public String getTextSelection() {
 		//System.out.println("DOM=" + getTextSelectionDOM());
-		String rez = getTextSelectionDOM().replaceAll("<[^>]+>", "");
+		String rez = getTextSelectionDOM().replaceAll("<[^>]+>", ""); //$NON-NLS-1$ //$NON-NLS-2$
 		//System.out.println("STR=" + rez);
 		return rez;
 	}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/BaseAbstractComputeListener.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/BaseAbstractComputeListener.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/BaseAbstractComputeListener.java	(revision 3445)
@@ -20,7 +20,7 @@
 public abstract class BaseAbstractComputeListener {
 
 	
-	public final static String IGNORE_EVENT = "ignoreEvent";
+	public final static String IGNORE_EVENT = "ignoreEvent"; //$NON-NLS-1$
 	
 	
 	/**
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/CommandLink.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/CommandLink.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/CommandLink.java	(revision 3445)
@@ -26,7 +26,7 @@
 
 public class CommandLink extends BrowserFunction {
 	
-	String data = "";
+	String data = ""; //$NON-NLS-1$
 	
 	Browser browser;
 	
@@ -34,7 +34,7 @@
 	
 	IEditorPart editor;
 	
-	public static final String FCT = "txmcommand";
+	public static final String FCT = "txmcommand"; //$NON-NLS-1$
 
 	public CommandLink(IEditorPart editor, Browser browser) {
 		super(browser, FCT); //$NON-NLS-1$
@@ -45,7 +45,7 @@
 	@Override
 	public synchronized Object function(Object[] arguments) {
 		//System.out.println("CALL: "+Arrays.toString(arguments));
-		Log.finer("txmcommand() called: "+Arrays.toString(arguments));
+		Log.finer("txmcommand() called: "+Arrays.toString(arguments)); //$NON-NLS-1$
 		if (editor != null) {
 			try { // TODO add option (or another browser command) to not force activated editor
 				editor.getSite().getPage().activate(editor);
@@ -81,7 +81,7 @@
 			params.put(arguments[i].toString(), arguments[i + 1].toString());
 		}
 		
-		Log.finer("txmcommand parameters: "+params);
+		Log.finer("txmcommand parameters: "+params); //$NON-NLS-1$
 		String id = params.get("id"); //$NON-NLS-1$
 		if (id != null) {
 			params.remove("id"); //$NON-NLS-1$
@@ -90,7 +90,7 @@
 			return callTXMCommand(id, params);
 		}
 		else {
-			Log.warning(NLS.bind("Cannot call a TXM command without ID (parameters={0}).", params));
+			Log.warning(NLS.bind(TXMCoreMessages.CannotCallATXMCommandWithoutIDParametersP0, params));
 		}
 		return arguments;
 	}
@@ -101,7 +101,7 @@
 	 *
 	 */
 	public static Object callTXMCommand(String id, HashMap<String, String> params) {
-		Log.finer(NLS.bind("Calling the {0} command with {1}", id, params));
+		Log.finer(NLS.bind(TXMCoreMessages.CallingTheP0CommandWithTheP1Parameters, id, params));
 		
 		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
 		ICommandService cmdService = window.getService(ICommandService.class);
@@ -131,7 +131,7 @@
 			return handlerService.executeCommand(pc, null);
 		}
 		catch (Exception e) {
-			Log.warning(TXMCoreMessages.bind("** Failed to call the ''{0}'' hyperlinked command with ''{1}'' and the ''{2}'' parameters.", id, parameters, failedParameters));
+			Log.warning(TXMCoreMessages.bind(TXMCoreMessages.FailedToCallTheP0HyperlinkedCommandWithP1AndTheP2Parameters, id, parameters, failedParameters));
 			// Log.printStackTrace(e);
 		}
 		return null;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/RCPCommandsAPI.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/RCPCommandsAPI.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/RCPCommandsAPI.java	(revision 3445)
@@ -4,6 +4,7 @@
 import org.txm.core.results.TXMResult;
 import org.txm.functions.Command;
 import org.txm.functions.CommandsAPI;
+import org.txm.rcp.messages.TXMUIMessages;
 
 
 /**
@@ -26,7 +27,7 @@
 
 		Command command = cmds.get(cmd);
 		if (command == null) {
-			System.out.println("No command found with name: "+cmd);
+			System.out.println(TXMUIMessages.NoCommandFoundWithNameP0+cmd);
 			return null;
 		}
 
@@ -36,7 +37,7 @@
 			TXMResult result = null;
 
 			if (rcpcommand.editor_id == null) {
-				System.out.println("Failed to open editor: no context given.");
+				System.out.println(TXMUIMessages.FailedToOpenTheEditorNoContextGiven);
 				return null;
 			}
 
@@ -59,7 +60,7 @@
 			return result;
 		} else {
 			Object result = super.call(cmd, source, parameters);
-			System.out.println("Done: " + result);
+			System.out.println(TXMUIMessages.DoneP0 + result);
 			return result;
 		}
 	}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/splashHandlers/TXMSplashHandler.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/splashHandlers/TXMSplashHandler.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/splashHandlers/TXMSplashHandler.java	(revision 3445)
@@ -92,7 +92,7 @@
 		
 		// here you could check some condition on which decoration to show
 		
-		version = "TXM "+ApplicationWorkbenchAdvisor.getTXMVersion();
+		version = "TXM "+ApplicationWorkbenchAdvisor.getTXMVersion(); //$NON-NLS-1$
 		
 		String build_date =  ApplicationWorkbenchAdvisor.getBuildDate(ApplicationWorkbenchAdvisor.getBuildVersion());
 		
@@ -102,16 +102,16 @@
 		
 		greenTXM = new Color(splash.getDisplay(), 109,139,0);
 		redTXM = new Color(splash.getDisplay(), 255,0,0);
-		font = new Font(splash.getDisplay(), "Arial", 17, SWT.BOLD);
+		font = new Font(splash.getDisplay(), "Arial", 17, SWT.BOLD); //$NON-NLS-1$
 		
 		if (txm_date.equals(build_date)) {
 			infos = build_date;
 		}
 		else {
-			infos = "update " + txm_date + " - build " + build_date;
+			infos = "update " + txm_date + " - build " + build_date; //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		
-		if ("STABLE".equals(level)) {
+		if ("STABLE".equals(level)) { //$NON-NLS-1$
 			level = null;
 		}
 		
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/StatusLine.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/StatusLine.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/StatusLine.java	(revision 3445)
@@ -77,7 +77,7 @@
 			public void run() {
 				if (statusLine != null) {
 					if (message != null && message.length() > MAX) {
-						statusLine.setMessage(null, message.substring(0, MAX)+"...");
+						statusLine.setMessage(null, message.substring(0, MAX)+"..."); //$NON-NLS-1$
 					} else {
 						statusLine.setMessage(null, message);
 					}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/CGUMessageDialog.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/CGUMessageDialog.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/CGUMessageDialog.java	(revision 3445)
@@ -154,7 +154,7 @@
 		GridData gdata = new GridData(GridData.FILL, GridData.FILL, true, true);
 		bar.setLayoutData(gdata);
 		
-		String defaultPath = System.getProperty("user.home")+"/TXM";
+		String defaultPath = System.getProperty("user.home")+"/TXM"; //$NON-NLS-1$ //$NON-NLS-2$
 		if (launchData != null) {
 			defaultPath = launchData.getInitialDefault();
 		}
@@ -209,7 +209,7 @@
 	}
 
 	public static void main(String[] args) {
-		System.out.println("Opening CGU dialog...");
+		System.out.println("Opening CGU dialog..."); //$NON-NLS-1$
 		Display display = new Display();
 	    Shell shell = new Shell(display);
 		CGUMessageDialog dialog = new CGUMessageDialog(shell, null);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/SinglePropertySelectionDialog.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/SinglePropertySelectionDialog.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/SinglePropertySelectionDialog.java	(revision 3445)
@@ -191,7 +191,7 @@
 	 */
 	public void reload() {
 		if (allProperties == null) {
-			System.out.println("Error: the available properties list is NULL.");
+			System.out.println("Error: the available properties list is NULL."); //$NON-NLS-1$
 			return;
 		}
 		availablePropertiesView.removeAll();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ConfirmDialog.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ConfirmDialog.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ConfirmDialog.java	(revision 3445)
@@ -9,6 +9,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Shell;
+import org.txm.rcp.messages.TXMUIMessages;
 
 /**
  * A confirm Dialog with a check box to not ask again
@@ -20,8 +21,8 @@
 
 	public final static String[] dialogButtonLabels = { IDialogConstants.OK_LABEL,
 		IDialogConstants.CANCEL_LABEL };
-	public final static String TRUE = "true";
-	public final static String ROOT = "org.txm.confirmdialog.history.";
+	public final static String TRUE = "true"; //$NON-NLS-1$
+	public final static String ROOT = "org.txm.confirmdialog.history."; //$NON-NLS-1$
 
 	protected String id;
 	public ConfirmDialog(Shell parentShell, String id, String dialogTitle, String dialogMessage) {
@@ -35,7 +36,7 @@
 	protected Control createDialogArea(Composite parent) {
 		Composite container = (Composite) super.createDialogArea(parent);
 		checkDefault = new Button(container, SWT.CHECK);
-		checkDefault.setText("Don't ask again");
+		checkDefault.setText(TXMUIMessages.DontAskAgain);
 		boolean b = TRUE.equals(System.getProperty(ROOT+id));
 		checkDefault.setSelection(b);
 
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UsernamePasswordDialog.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UsernamePasswordDialog.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UsernamePasswordDialog.java	(revision 3445)
@@ -120,10 +120,10 @@
 	protected void buttonPressed(int buttonId) {
 		if (buttonId == RESET_ID) {
 			if (must[0]) {
-				usernameField.setText("");
+				usernameField.setText(""); //$NON-NLS-1$
 			}
 			if (must[1]) {
-				passwordField.setText("");
+				passwordField.setText(""); //$NON-NLS-1$
 			}
 		}
 		else {
@@ -185,7 +185,7 @@
 			
 			Shell shell = Display.getCurrent().getActiveShell();
 			if (shell == null) {
-				System.out.println("Error: could not open crendetial dialog on current Thread.");
+				System.out.println("Error: could not open crendetial dialog on current Thread."); //$NON-NLS-1$
 				return false;
 			}
 			
@@ -199,7 +199,7 @@
 				return true;
 			}
 			else {
-				System.out.println("Cancel credential settings");
+				System.out.println(TXMUIMessages.CancelCredentialSettings);
 				return false;
 			}
 		}
@@ -213,7 +213,7 @@
 		
 		monitor.syncExec(new Runnable() {
 			public void run() {
-				System.out.println("Opening credential dialog...");
+				System.out.println(TXMUIMessages.OpeningCredentialDialog);
 				try {
 					ret[0] = initializeCredentials(userKey, passwordKey, target, title, details);
 				} catch(Throwable t) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ReferencePatternSelectionDialog.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ReferencePatternSelectionDialog.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ReferencePatternSelectionDialog.java	(revision 3445)
@@ -71,7 +71,7 @@
 	protected Control createDialogArea(Composite parent) {
 		Composite mainArea = (Composite) super.createDialogArea(parent);
 		
-		GLComposite line = new GLComposite(mainArea, SWT.NONE, "motif line");
+		GLComposite line = new GLComposite(mainArea, SWT.NONE, "motif line"); //$NON-NLS-1$
 		line.setLayoutData(new GridData(SWT.WRAP, SWT.WRAP, true, true, 4, 1));
 		line.getLayout().numColumns = 2;
 		line.getLayout().horizontalSpacing = 3;
@@ -79,7 +79,7 @@
 		// "properties"
 		patternLabel = new Label(line, SWT.NONE);
 		patternLabel.setText(TXMUIMessages.pattern);
-		patternLabel.setToolTipText("you need to set as many %s printf marks as selected properties.");
+		patternLabel.setToolTipText(TXMUIMessages.YouNeedToSetAsManyPercentSPrintfMarksAsSelectedProperties);
 		patternLabel.setLayoutData(new GridData(SWT.WRAP, SWT.CENTER, true, true));
 		
 		// "properties"
@@ -134,18 +134,18 @@
 		
 		String s = pattern;
 		int nPercents = 0;
-		int index = s.indexOf("%");
+		int index = s.indexOf("%"); //$NON-NLS-1$
 		while (index >= 0) {
 			s = s.substring(index + 1);
-			index = s.indexOf("%");
+			index = s.indexOf("%"); //$NON-NLS-1$
 			nPercents++;
 		}
 		
 		if (nPercents < this.getSelectedProperties().size()) {
 			Color a = new Color(patternText.getDisplay(), 255, 0, 0);
 			patternText.setBackground(a);
-			String s2 = StringUtils.join(getSelectedProperties(), ", ");
-			patternText.setToolTipText(NLS.bind("not enough ''%'' pattern in ''{0}'' for the ''{1}'' properties.", pattern, s2));
+			String s2 = StringUtils.join(getSelectedProperties(), ", "); //$NON-NLS-1$
+			patternText.setToolTipText(NLS.bind(TXMUIMessages.ThereIsNotEnoughPercentMarksInP0ForTheP1Properties, pattern, s2));
 			return false;
 		}
 		else {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleChoiceDialog.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleChoiceDialog.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleChoiceDialog.java	(revision 3445)
@@ -79,7 +79,7 @@
 		super(parentShell);
 		
 		if (values == null || values.length == 0) {
-			throw new IllegalStateException("Available values must be set and not empty");
+			throw new IllegalStateException("Available values must be set and not empty"); //$NON-NLS-1$
 		}
 		
 		this.parentShell = parentShell;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultiplePropertySelectionDialog.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultiplePropertySelectionDialog.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultiplePropertySelectionDialog.java	(revision 3445)
@@ -307,7 +307,7 @@
 	 */
 	public void reload() {
 		if (availableProperties == null) {
-			System.out.println("Error: the available properties list is NULL.");
+			System.out.println(TXMUIMessages.ErrorTheAvailablePropertiesListIsNULL);
 			return;
 		}
 		availablePropertiesView.removeAll();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/HTMLMessageDialog.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/HTMLMessageDialog.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/HTMLMessageDialog.java	(revision 3445)
@@ -156,7 +156,7 @@
 		if (message != null) {
 			messageLabel = new Browser(composite, getMessageLabelStyle());
 			Color color = composite.getBackground();
-			messageLabel.setText("<body style=\"background-color:rgb("+color.getRed()+", "+color.getGreen()+", "+color.getBlue()+")\">\n"+message+"\n</body>", true);
+			messageLabel.setText("<body style=\"background-color:rgb("+color.getRed()+", "+color.getGreen()+", "+color.getBlue()+")\">\n"+message+"\n</body>", true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
 			//System.out.println("set message: "+message);
 			GridDataFactory
 					.fillDefaults()
@@ -177,7 +177,7 @@
 			@Override
 			public void open(WindowEvent e) {
 			    Shell shell = new Shell(e.display);
-			    shell.setText("New Window");
+			    shell.setText("New Window"); //$NON-NLS-1$
 			    shell.setLayout(new FillLayout());
 			    Browser browser1 = new Browser(shell, SWT.NONE);
 			    initialize(e.display, browser1);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java	(revision 3445)
@@ -9,12 +9,13 @@
 import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Shell;
+import org.txm.rcp.messages.TXMUIMessages;
 
 public class UpdateCorpusDialog extends Dialog {
 
-	protected String title = "Update corpus";
-	protected String topMessage = "Update the corpus from its XML-TXM files";
-	protected String bottomMessage = "All editors using this corpus will be closed. And the corpus will be update.\n\nContinue?";
+	protected String title = TXMUIMessages.UpdateCorpus;
+	protected String topMessage = TXMUIMessages.UpdateTheCorpusFromItsXMLTXMFiles;
+	protected String bottomMessage = TXMUIMessages.AllEditorsUsingThisCorpusWillBeClosedandtheCorpusWillBeUpdatedContinue;
 	
 	protected Button openCorpusParameters;
 	protected Button updateEditionsCheck;
@@ -60,22 +61,22 @@
 		openCorpusParameters = new Button(comp, SWT.CHECK);
 		data = new GridData(GridData.FILL_HORIZONTAL);
 		openCorpusParameters.setLayoutData(data);
-		openCorpusParameters.setText("Open more update parameters before updating");
-		openCorpusParameters.setToolTipText("Use this to change the corpus parameters before updating the corpus");
+		openCorpusParameters.setText(TXMUIMessages.ShowMoreUpdateParametersBeforeUpdating);
+		openCorpusParameters.setToolTipText(TXMUIMessages.UseThisToChangeTheCorpusParametersBeforeUpdatingTheCorpus);
 		openCorpusParameters.setSelection(doOpenCorpusParameters);
 
 		updateEditionsCheck = new Button(comp, SWT.CHECK);
 		data = new GridData(GridData.FILL_HORIZONTAL);
 		updateEditionsCheck.setLayoutData(data);
-		updateEditionsCheck.setText("update the edition pages");
-		updateEditionsCheck.setToolTipText("If not checked, the edition pages are not updated and might not reflect exactly the corpus content.");
+		updateEditionsCheck.setText(TXMUIMessages.UpdateTheEditionPages);
+		updateEditionsCheck.setToolTipText(TXMUIMessages.IfNotCheckedTheEditionPagesAreNotUpdatedAndMightNotReflectThechanges);
 		updateEditionsCheck.setSelection(doUpdateEditions);
 		
 		forceUpdateCheck = new Button(comp, SWT.CHECK);
 		data = new GridData(GridData.FILL_HORIZONTAL);
 		forceUpdateCheck.setLayoutData(data);
-		forceUpdateCheck.setText("Force update of non-modified texts");
-		forceUpdateCheck.setToolTipText("when checked this option make TXM update all indexes & editions of all texts even if their XML-TXM file is not modified (it takes more time to update).");
+		forceUpdateCheck.setText(TXMUIMessages.ForceUpdateOfNonModifiedTexts);
+		forceUpdateCheck.setToolTipText(TXMUIMessages.WhenCheckedThisOptionMakeTXMUpdateAllIndexesAndEditionsOfAllTexts);
 		forceUpdateCheck.setSelection(doForceUpdate);
 	}
 
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PropertiesSelector.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PropertiesSelector.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PropertiesSelector.java	(revision 3445)
@@ -176,14 +176,14 @@
 				buffer.append(p.getName());
 			}
 			else {
-				buffer.append(p.getName()+ "("+p.getSearchEngine().getName()+")");
+				buffer.append(p.getName()+ "("+p.getSearchEngine().getName()+")"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		}
 		if (buffer.length() > 0) {
 			int l = buffer.length();
 			String s = buffer.substring(0, buffer.length());
 			if (l > MAX_LABEL_LENGHT) {
-				s = s.substring(0, MAX_LABEL_LENGHT) + "...";
+				s = s.substring(0, MAX_LABEL_LENGHT) + "..."; //$NON-NLS-1$
 			}
 			propertiesLabel.setText(s);
 			propertiesLabel.getParent().layout();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NavigationWidget.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NavigationWidget.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NavigationWidget.java	(revision 3445)
@@ -76,7 +76,7 @@
 	 * @param style the style
 	 */
 	public NavigationWidget(Composite parent, int style) {
-		super(parent, style, "Navigation");
+		super(parent, style, "Navigation"); //$NON-NLS-1$
 		this.getLayout().numColumns = 6;
 		this.getLayout().makeColumnsEqualWidth = false;
 
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedChoiceQueryWidget.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedChoiceQueryWidget.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedChoiceQueryWidget.java	(revision 3445)
@@ -101,7 +101,7 @@
 				if (defaultEngineName.equals(engine.getName())) {
 					iDefault = i;
 				}
-				if ("CQP".equals(engine.getName())) {
+				if ("CQP".equals(engine.getName())) { //$NON-NLS-1$
 					iSuperDefault = i;
 				}
 			}
@@ -118,7 +118,7 @@
 		}
 		
 		selectedEngineLabel = new Label(this, SWT.NONE);
-		selectedEngineLabel.setText("");
+		selectedEngineLabel.setText(""); //$NON-NLS-1$
 		GridData gdata = new GridData(GridData.FILL, GridData.CENTER, false, false);
 		selectedEngineLabel.setLayoutData(gdata);
 		
@@ -135,7 +135,7 @@
 					for (SearchEngine se : engines) {
 						values.add(se.getName());
 					}
-					ComboDialog dialog = new ComboDialog(e.display.getActiveShell(), "Engines", values, querywidget.getSearchEngine().getName());
+					ComboDialog dialog = new ComboDialog(e.display.getActiveShell(), "Engines", values, querywidget.getSearchEngine().getName()); //$NON-NLS-1$
 					if (dialog.open() == ComboDialog.OK) {
 						String name = dialog.getSelectedValue();
 						for (SearchEngine se : engines) {
@@ -171,7 +171,7 @@
 			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
 		
-		setMagicEnabled("CQP".equals(initialEngine.getName()));
+		setMagicEnabled("CQP".equals(initialEngine.getName())); //$NON-NLS-1$
 		
 		querywidget = new QueryWidget(this, style, initialEngine);
 		querywidget.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
@@ -185,14 +185,14 @@
 		// querywidget.layout();
 		// relayout();
 		
-		setMagicEnabled("CQP".equals(se.getName()));
+		setMagicEnabled("CQP".equals(se.getName())); //$NON-NLS-1$
 		
 		String defaultEngineName = SearchEnginePreferences.getInstance().getString(SearchEnginePreferences.DEFAULT_SEARCH_ENGINE);
 		if (defaultEngineName.equals(se.getName())) {
-			selectedEngineLabel.setText("");
+			selectedEngineLabel.setText(""); //$NON-NLS-1$
 		}
 		else {
-			selectedEngineLabel.setText(" " + se.getName() + " ");
+			selectedEngineLabel.setText(" " + se.getName() + " "); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		selectedEngineLabel.getParent().layout();
 	}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/GLComposite.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/GLComposite.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/GLComposite.java	(revision 3445)
@@ -44,7 +44,7 @@
 	 * Warning : this composite layout cannot be changed
 	 */
 	public final void setLayout(Layout layout) {
-		System.out.println("Warning: GLComposite.setLayout is called without effect: "+name);
+		System.out.println("Warning: GLComposite.setLayout is called without effect: "+name); //$NON-NLS-1$
 		Thread.dumpStack();
 		//super.setLayout(layout);
 	}
